Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getCameraDetectionsHistoryByBoundaryByInterval({
boundaryIds: ["string"],
boundaryTypes: ["string"],
duration: 1,
organizationId: "string",
perPage: 1,
ranges: ["string"],
});
export const merakiOrganizationsCameraDetectionsHistoryByBoundaryByIntervalExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_camera_detections_history_by_boundary_by_interval(boundary_ids=["string"],
boundary_types=["string"],
duration=1,
organization_id="string",
per_page=1,
ranges=["string"])
pulumi.export("merakiOrganizationsCameraDetectionsHistoryByBoundaryByIntervalExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.GetCameraDetectionsHistoryByBoundaryByInterval(ctx, &organizations.GetCameraDetectionsHistoryByBoundaryByIntervalArgs{
BoundaryIds: []string{
"string",
},
BoundaryTypes: []string{
"string",
},
Duration: pulumi.IntRef(1),
OrganizationId: "string",
PerPage: pulumi.IntRef(1),
Ranges: []string{
"string",
},
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsCameraDetectionsHistoryByBoundaryByIntervalExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetCameraDetectionsHistoryByBoundaryByInterval.Invoke(new()
{
BoundaryIds = new[]
{
"string",
},
BoundaryTypes = new[]
{
"string",
},
Duration = 1,
OrganizationId = "string",
PerPage = 1,
Ranges = new[]
{
"string",
},
});
return new Dictionary<string, object?>
{
["merakiOrganizationsCameraDetectionsHistoryByBoundaryByIntervalExample"] = example.Apply(getCameraDetectionsHistoryByBoundaryByIntervalResult => getCameraDetectionsHistoryByBoundaryByIntervalResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetCameraDetectionsHistoryByBoundaryByIntervalArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getCameraDetectionsHistoryByBoundaryByInterval(GetCameraDetectionsHistoryByBoundaryByIntervalArgs.builder()
.boundaryIds("string")
.boundaryTypes("string")
.duration(1)
.organizationId("string")
.perPage(1)
.ranges("string")
.build());
ctx.export("merakiOrganizationsCameraDetectionsHistoryByBoundaryByIntervalExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getCameraDetectionsHistoryByBoundaryByInterval
arguments:
boundaryIds:
- string
boundaryTypes:
- string
duration: 1
organizationId: string
perPage: 1
ranges:
- string
outputs:
merakiOrganizationsCameraDetectionsHistoryByBoundaryByIntervalExample: ${example.items}
Using getCameraDetectionsHistoryByBoundaryByInterval
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCameraDetectionsHistoryByBoundaryByInterval(args: GetCameraDetectionsHistoryByBoundaryByIntervalArgs, opts?: InvokeOptions): Promise<GetCameraDetectionsHistoryByBoundaryByIntervalResult>
function getCameraDetectionsHistoryByBoundaryByIntervalOutput(args: GetCameraDetectionsHistoryByBoundaryByIntervalOutputArgs, opts?: InvokeOptions): Output<GetCameraDetectionsHistoryByBoundaryByIntervalResult>def get_camera_detections_history_by_boundary_by_interval(boundary_ids: Optional[Sequence[str]] = None,
boundary_types: Optional[Sequence[str]] = None,
duration: Optional[int] = None,
organization_id: Optional[str] = None,
per_page: Optional[int] = None,
ranges: Optional[Sequence[str]] = None,
opts: Optional[InvokeOptions] = None) -> GetCameraDetectionsHistoryByBoundaryByIntervalResult
def get_camera_detections_history_by_boundary_by_interval_output(boundary_ids: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
boundary_types: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
duration: Optional[pulumi.Input[int]] = None,
organization_id: Optional[pulumi.Input[str]] = None,
per_page: Optional[pulumi.Input[int]] = None,
ranges: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCameraDetectionsHistoryByBoundaryByIntervalResult]func GetCameraDetectionsHistoryByBoundaryByInterval(ctx *Context, args *GetCameraDetectionsHistoryByBoundaryByIntervalArgs, opts ...InvokeOption) (*GetCameraDetectionsHistoryByBoundaryByIntervalResult, error)
func GetCameraDetectionsHistoryByBoundaryByIntervalOutput(ctx *Context, args *GetCameraDetectionsHistoryByBoundaryByIntervalOutputArgs, opts ...InvokeOption) GetCameraDetectionsHistoryByBoundaryByIntervalResultOutput> Note: This function is named GetCameraDetectionsHistoryByBoundaryByInterval in the Go SDK.
public static class GetCameraDetectionsHistoryByBoundaryByInterval
{
public static Task<GetCameraDetectionsHistoryByBoundaryByIntervalResult> InvokeAsync(GetCameraDetectionsHistoryByBoundaryByIntervalArgs args, InvokeOptions? opts = null)
public static Output<GetCameraDetectionsHistoryByBoundaryByIntervalResult> Invoke(GetCameraDetectionsHistoryByBoundaryByIntervalInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCameraDetectionsHistoryByBoundaryByIntervalResult> getCameraDetectionsHistoryByBoundaryByInterval(GetCameraDetectionsHistoryByBoundaryByIntervalArgs args, InvokeOptions options)
public static Output<GetCameraDetectionsHistoryByBoundaryByIntervalResult> getCameraDetectionsHistoryByBoundaryByInterval(GetCameraDetectionsHistoryByBoundaryByIntervalArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getCameraDetectionsHistoryByBoundaryByInterval:getCameraDetectionsHistoryByBoundaryByInterval
arguments:
# arguments dictionaryThe following arguments are supported:
- Boundary
Ids List<string> - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- Organization
Id string - organizationId path parameter. Organization ID
- Ranges List<string>
- ranges query parameter. A list of time ranges with intervals
- Boundary
Types List<string> - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- Duration int
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- Per
Page int - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- Boundary
Ids []string - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- Organization
Id string - organizationId path parameter. Organization ID
- Ranges []string
- ranges query parameter. A list of time ranges with intervals
- Boundary
Types []string - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- Duration int
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- Per
Page int - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- boundary
Ids List<String> - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- organization
Id String - organizationId path parameter. Organization ID
- ranges List<String>
- ranges query parameter. A list of time ranges with intervals
- boundary
Types List<String> - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- duration Integer
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- per
Page Integer - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- boundary
Ids string[] - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- organization
Id string - organizationId path parameter. Organization ID
- ranges string[]
- ranges query parameter. A list of time ranges with intervals
- boundary
Types string[] - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- duration number
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- per
Page number - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- boundary_
ids Sequence[str] - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- organization_
id str - organizationId path parameter. Organization ID
- ranges Sequence[str]
- ranges query parameter. A list of time ranges with intervals
- boundary_
types Sequence[str] - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- duration int
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- per_
page int - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- boundary
Ids List<String> - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- organization
Id String - organizationId path parameter. Organization ID
- ranges List<String>
- ranges query parameter. A list of time ranges with intervals
- boundary
Types List<String> - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- duration Number
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- per
Page Number - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
getCameraDetectionsHistoryByBoundaryByInterval Result
The following output properties are available:
- Boundary
Ids List<string> - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Camera Detections History By Boundary By Interval Item> - Array of ResponseCameraGetOrganizationCameraDetectionsHistoryByBoundaryByInterval
- Organization
Id string - organizationId path parameter. Organization ID
- Ranges List<string>
- ranges query parameter. A list of time ranges with intervals
- Boundary
Types List<string> - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- Duration int
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- Per
Page int - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- Boundary
Ids []string - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Camera Detections History By Boundary By Interval Item - Array of ResponseCameraGetOrganizationCameraDetectionsHistoryByBoundaryByInterval
- Organization
Id string - organizationId path parameter. Organization ID
- Ranges []string
- ranges query parameter. A list of time ranges with intervals
- Boundary
Types []string - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- Duration int
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- Per
Page int - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- boundary
Ids List<String> - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Camera Detections History By Boundary By Interval Item> - Array of ResponseCameraGetOrganizationCameraDetectionsHistoryByBoundaryByInterval
- organization
Id String - organizationId path parameter. Organization ID
- ranges List<String>
- ranges query parameter. A list of time ranges with intervals
- boundary
Types List<String> - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- duration Integer
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- per
Page Integer - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- boundary
Ids string[] - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Camera Detections History By Boundary By Interval Item[] - Array of ResponseCameraGetOrganizationCameraDetectionsHistoryByBoundaryByInterval
- organization
Id string - organizationId path parameter. Organization ID
- ranges string[]
- ranges query parameter. A list of time ranges with intervals
- boundary
Types string[] - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- duration number
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- per
Page number - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- boundary_
ids Sequence[str] - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Camera Detections History By Boundary By Interval Item] - Array of ResponseCameraGetOrganizationCameraDetectionsHistoryByBoundaryByInterval
- organization_
id str - organizationId path parameter. Organization ID
- ranges Sequence[str]
- ranges query parameter. A list of time ranges with intervals
- boundary_
types Sequence[str] - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- duration int
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- per_
page int - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
- boundary
Ids List<String> - boundaryIds query parameter. A list of boundary ids. The returned cameras will be filtered to only include these ids.
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseCameraGetOrganizationCameraDetectionsHistoryByBoundaryByInterval
- organization
Id String - organizationId path parameter. Organization ID
- ranges List<String>
- ranges query parameter. A list of time ranges with intervals
- boundary
Types List<String> - boundaryTypes query parameter. The detection types. Defaults to 'person'.
- duration Number
- duration query parameter. The minimum time, in seconds, that the person or car remains in the area to be counted. Defaults to boundary configuration or 60.
- per
Page Number - perPage query parameter. The number of entries per page returned. Acceptable range is 1 1000. Defaults to 1000.
Supporting Types
GetCameraDetectionsHistoryByBoundaryByIntervalItem
- Boundary
Id string - The boundary id
- Results
Get
Camera Detections History By Boundary By Interval Item Results - The analytics data
- Type string
- The boundary type
- Boundary
Id string - The boundary id
- Results
Get
Camera Detections History By Boundary By Interval Item Results - The analytics data
- Type string
- The boundary type
- boundary
Id String - The boundary id
- results
Get
Camera Detections History By Boundary By Interval Item Results - The analytics data
- type String
- The boundary type
- boundary
Id string - The boundary id
- results
Get
Camera Detections History By Boundary By Interval Item Results - The analytics data
- type string
- The boundary type
- boundary_
id str - The boundary id
- results
Get
Camera Detections History By Boundary By Interval Item Results - The analytics data
- type str
- The boundary type
- boundary
Id String - The boundary id
- results Property Map
- The analytics data
- type String
- The boundary type
GetCameraDetectionsHistoryByBoundaryByIntervalItemResults
- End
Time string - The period end time
- In int
- The number of detections entered
- Object
Type string - The detection type
- Out int
- The number of detections exited
- Start
Time string - The period start time
- End
Time string - The period end time
- In int
- The number of detections entered
- Object
Type string - The detection type
- Out int
- The number of detections exited
- Start
Time string - The period start time
- end
Time String - The period end time
- in Integer
- The number of detections entered
- object
Type String - The detection type
- out Integer
- The number of detections exited
- start
Time String - The period start time
- end
Time string - The period end time
- in number
- The number of detections entered
- object
Type string - The detection type
- out number
- The number of detections exited
- start
Time string - The period start time
- end_
time str - The period end time
- in_ int
- The number of detections entered
- object_
type str - The detection type
- out int
- The number of detections exited
- start_
time str - The period start time
- end
Time String - The period end time
- in Number
- The number of detections entered
- object
Type String - The detection type
- out Number
- The number of detections exited
- start
Time String - The period start time
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
